# gterm


## Usage

```shell
Usage: gterm [options]
  -addr string
        address to bind (default ":8000")
  -allow string
        restrict ip
  -arg value
        additional args to pass to cmd, multiple args can be passed, ex. -arg a -arg b
  -dev
        set the system to development mode
  -dir string
        the working dir that the shell will start from
  -log-level int
        log level, error:1 debug:2 warn:4 info:8 (default 9)
  -name string
        the application name (default "gterm")
  -profile
        print default profile, could be invoked with <(..)
  -shell string
        the shell to use (default "bash")
  -v    show version
```

### run bash with default profile

```shell
gterm -arg "--rcfile" -arg <(gterm -profile)
```

## Install

```shell
sudo rm -f /usr/local/bin/gterm
sudo sh -c "curl -fsSL RELEASE_URL | tar -C /usr/local/bin/ -xz"
```